package ca.mcgill.sable.abc.impact.visualizer.model;

/**
 * A tree node who implements this interface will provide label image from its 
 * corresponding IJavaElement. However, it is recommended that the tree node 
 * still return a non-null image in case a null IJavaElement is returned.
 * @author Dehua Zhang
 *
 */
public interface IProvideJavaElementImage extends IConvertibleIntoJavaElement {

}
