package ca.mcgill.sable.abc.impact.visualizer.views;

import java.util.List;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerFilter;

import ca.mcgill.sable.abc.impact.visualizer.model.ITreeNode;
import ca.mcgill.sable.abc.impact.visualizer.model.ImpactFactory;

public final class ImpactViewFilter extends ViewerFilter {

	@Override
	public boolean select(Viewer viewer, Object parentElement, Object element) {
		List<ITreeNode> s = ImpactFactory.getShowData();
		if (s.contains(element)) return true;
		return false;
	}
}